<?php
namespace App\Factory;

use App\Exception\Exception;

class IntegrationFactory {
    private $connection;

    public function __construct (\Doctrine\DBAL\Connection $connection) {
        $this->connection = $connection;
    }

    public function getFilialDetails() {

        $sql = "
            SELECT CDFILIAL, NMFILIAL FROM FILIAL
        ";

        return $this->connection->fetchAssoc($sql);
    }
    
    public function getStandardSeller($cdfilial){
        $sql = "
        SELECT V.CDVENDEDOR,L.CDLOJA, V.NMFANVEN, C.CDCAIXA, V.CDOPERADOR, 
               L.NRMESAPADRAO AS NRMESA, L.IDPOSOBSPED, L.IDLUGARMESA, PV.NRORG, PV.CDFILIAL, PV.CDCLIENTE, EF.SGESTADO
          FROM PARAVEND PV
            JOIN VENDEDOR V
                ON PV.CDVENDEDOR = V.CDVENDEDOR
            JOIN CAIXA C
                ON V.CDCAIXA = C.CDCAIXA
            AND PV.CDFILIAL = C.CDFILIAL
            JOIN LOJA L
                ON C.CDLOJA = L.CDLOJA
            AND L.CDFILIAL = C.CDFILIAL
            JOIN ENDEFILI EF
                ON PV.CDFILIAL = EF.CDFILIAL
                AND EF.IDTPENDEFILI = 'P'	 
             WHERE PV.CDFILIAL = :CDFILIAL
        ";

        $params = [
            ':CDFILIAL' => $cdfilial
        ];
        return $this->connection->fetchAssoc($sql, $params);
    }
}
